## pppoe

pppoe — PPP-over-Ethernet Settings

## Properties

Table 42.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---

    parent

    string

If given, specifies the parent interface name on which this PPPoE connection should be created. If this property is not specified, the connection is activated on the interface specified in "interface-name" of NMSettingConnection.

    password

    string

Password used to authenticate with the PPPoE service.

    password-flags

    NMSettingSecretFlags (uint32)

Flags indicating how to handle the "password" property.

    service

    string

If specified, instruct PPPoE to only initiate sessions with access concentrators that provide the specified service. For most providers, this should be left blank. It is only required if there are multiple access concentrators or a specific service is known to be required.

    username

    string

Username used to authenticate with the PPPoE service.